WebSphereJ2EEApplication (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereJ2EEApplication interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereJ2EEApplication

All Superinterfaces:
  ConfigurationItem, J2EEApplication, J2EEDeployedObject, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule

    public interface WebSphereJ2EEApplication

extends J2EEApplication

Represents a J2EE application EAR that has been deployed to a WebSphere Server.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClassLoaderMode()`
`boolean` | `getCreateMBeansForResources()`
`boolean` | `getDeployed()`
`LogicalContent` | `getDeploymentDescriptor()`
`java.lang.String` | `getDeploymentId()`
`boolean` | `getEnableDistribution()`
`WebSphereLibraryRef[]` | `getLibraryRefs()`
`boolean` | `getReloadEnabled()`
`long` | `getReloadIntervalSecs()`
`WebSphereServer[]` | `getServers()`
`WebSphereSessionTuningParams` | `getSessionTuningParams()`
`int` | `getStartingWeight()`
`boolean` | `getUseMetadataFromBinaries()`
`java.lang.String` | `getWarClassLoaderPolicy()`
`boolean` | `hasClassLoaderMode()`
`boolean` | `hasCreateMBeansForResources()`
`boolean` | `hasDeployed()`
`boolean` | `hasDeploymentDescriptor()`
`boolean` | `hasDeploymentId()`
`boolean` | `hasEnableDistribution()`
`boolean` | `hasLibraryRefs()`
`boolean` | `hasReloadEnabled()`
`boolean` | `hasReloadIntervalSecs()`
`boolean` | `hasServers()`
`boolean` | `hasSessionTuningParams()`
`boolean` | `hasStartingWeight()`
`boolean` | `hasUseMetadataFromBinaries()`
`boolean` | `hasWarClassLoaderPolicy()`
`void` | `setClassLoaderMode(java.lang.String clsLoaderMode)`
`void` | `setCreateMBeansForResources(boolean createMBeansForResources)`
`void` | `setDeployed(boolean b)`
`void` | `setDeploymentDescriptor(LogicalContent dd)`
`void` | `setDeploymentId(java.lang.String deploymentId)`
`void` | `setEnableDistribution(boolean enableDistribution)`
`void` | `setLibraryRefs(WebSphereLibraryRef[] refs)`
`void` | `setReloadEnabled(boolean reloadEnabled)`
`void` | `setReloadIntervalSecs(long reloadIntervalSecs)`
`void` | `setServers(WebSphereServer[] server)`
`void` | `setSessionTuningParams(WebSphereSessionTuningParams tuningParam)`
`void` | `setStartingWeight(int startingWeight)`
`void` | `setUseMetadataFromBinaries(boolean useMetaDataFromBinaries)`
`void` | `setWarClassLoaderPolicy(java.lang.String warClassLoaderPolicy)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEApplication
`getComponents, hasComponents, setComponents`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getDeployed

    boolean getDeployed()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeployed

    void setDeployed(boolean b)

### hasDeployed

    boolean hasDeployed()

### getUseMetadataFromBinaries

    boolean getUseMetadataFromBinaries()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseMetadataFromBinaries

    void setUseMetadataFromBinaries(boolean useMetaDataFromBinaries)

### hasUseMetadataFromBinaries

    boolean hasUseMetadataFromBinaries()

### getEnableDistribution

    boolean getEnableDistribution()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEnableDistribution

    void setEnableDistribution(boolean enableDistribution)

### hasEnableDistribution

    boolean hasEnableDistribution()

### getWarClassLoaderPolicy

    java.lang.String getWarClassLoaderPolicy()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWarClassLoaderPolicy

    void setWarClassLoaderPolicy(java.lang.String warClassLoaderPolicy)

### hasWarClassLoaderPolicy

    boolean hasWarClassLoaderPolicy()

### getClassLoaderMode

    java.lang.String getClassLoaderMode()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClassLoaderMode

    void setClassLoaderMode(java.lang.String clsLoaderMode)

### hasClassLoaderMode

    boolean hasClassLoaderMode()

### getCreateMBeansForResources

    boolean getCreateMBeansForResources()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCreateMBeansForResources

    void setCreateMBeansForResources(boolean createMBeansForResources)

### hasCreateMBeansForResources

    boolean hasCreateMBeansForResources()

### getReloadIntervalSecs

    long getReloadIntervalSecs()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReloadIntervalSecs

    void setReloadIntervalSecs(long reloadIntervalSecs)

### hasReloadIntervalSecs

    boolean hasReloadIntervalSecs()

### getReloadEnabled

    boolean getReloadEnabled()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReloadEnabled

    void setReloadEnabled(boolean reloadEnabled)

### hasReloadEnabled

    boolean hasReloadEnabled()

### getDeploymentId

    java.lang.String getDeploymentId()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeploymentId

    void setDeploymentId(java.lang.String deploymentId)

### hasDeploymentId

    boolean hasDeploymentId()

### getStartingWeight

    int getStartingWeight()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStartingWeight

    void setStartingWeight(int startingWeight)

### hasStartingWeight

    boolean hasStartingWeight()

### getDeploymentDescriptor

    LogicalContent getDeploymentDescriptor()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedUsing" reverse="false"

### setDeploymentDescriptor

    void setDeploymentDescriptor(LogicalContent dd)

### hasDeploymentDescriptor

    boolean hasDeploymentDescriptor()

### getServers

    WebSphereServer[] getServers()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="false"

### setServers

    void setServers(WebSphereServer[] server)

### hasServers

    boolean hasServers()

### getLibraryRefs

    WebSphereLibraryRef[] getLibraryRefs()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Accesses" reverse="false"
  Containment Relationship:
    true

### setLibraryRefs

    void setLibraryRefs(WebSphereLibraryRef[] refs)

### hasLibraryRefs

    boolean hasLibraryRefs()

### getSessionTuningParams

    WebSphereSessionTuningParams getSessionTuningParams()
                                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="false"

### setSessionTuningParams

    void setSessionTuningParams(WebSphereSessionTuningParams tuningParam)

### hasSessionTuningParams

    boolean hasSessionTuningParams()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD